package com.bonus.core.account.v3.po;

import java.math.BigDecimal;

public class AccWalletPayPO {
   private Long custId;
   private Integer walletId;
   private BigDecimal amount;
   private BigDecimal walletBal;
   private BigDecimal unpaidBalance;

   public static AccWalletPayPOBuilder builder() {
      return new AccWalletPayPOBuilder();
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public BigDecimal getWalletBal() {
      return this.walletBal;
   }

   public BigDecimal getUnpaidBalance() {
      return this.unpaidBalance;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setWalletBal(final BigDecimal walletBal) {
      this.walletBal = walletBal;
   }

   public void setUnpaidBalance(final BigDecimal unpaidBalance) {
      this.unpaidBalance = unpaidBalance;
   }


   public AccWalletPayPO() {
   }

   public AccWalletPayPO(final Long custId, final Integer walletId, final BigDecimal amount, final BigDecimal walletBal, final BigDecimal unpaidBalance) {
      this.custId = custId;
      this.walletId = walletId;
      this.amount = amount;
      this.walletBal = walletBal;
      this.unpaidBalance = unpaidBalance;
   }

   public static class AccWalletPayPOBuilder {
      private Long custId;
      private Integer walletId;
      private BigDecimal amount;
      private BigDecimal walletBal;
      private BigDecimal unpaidBalance;

      AccWalletPayPOBuilder() {
      }

      public AccWalletPayPOBuilder custId(final Long custId) {
         this.custId = custId;
         return this;
      }

      public AccWalletPayPOBuilder walletId(final Integer walletId) {
         this.walletId = walletId;
         return this;
      }

      public AccWalletPayPOBuilder amount(final BigDecimal amount) {
         this.amount = amount;
         return this;
      }

      public AccWalletPayPOBuilder walletBal(final BigDecimal walletBal) {
         this.walletBal = walletBal;
         return this;
      }

      public AccWalletPayPOBuilder unpaidBalance(final BigDecimal unpaidBalance) {
         this.unpaidBalance = unpaidBalance;
         return this;
      }

      public AccWalletPayPO build() {
         return new AccWalletPayPO(this.custId, this.walletId, this.amount, this.walletBal, this.unpaidBalance);
      }

      public String toString() {
         Long var10000 = this.custId;
         return "AccWalletPayPO.AccWalletPayPOBuilder(custId=" + var10000 + ", walletId=" + this.walletId + ", amount=" + String.valueOf(this.amount) + ", walletBal=" + String.valueOf(this.walletBal) + ", unpaidBalance=" + String.valueOf(this.unpaidBalance) + ")";
      }
   }
}
